// ****************Token Table
typedef struct {
	char *name;
	unsigned char value;
} TOKEN;
#define NUMTOKENS 65
// Tokens not in this table are literal
TOKEN tokens[] = {
{	"let",	    0x80 },
{	"next",     0x81 },
{	"if",       0x82 },
{	"goto",     0x83 },
{	"gosub",    0x84 },
{	"return",   0x85 },
{	"read",     0x86 },
{	"data",     0x87 },
{	"for",      0x88 },
{	"print",    0x89 },
{	"input",    0x8A },
{	"dim",      0x8B },
{	"stop",     0x8C },
{	"end",      0x8D },
{	"restore",  0x8E },
{	"rem",      0x8F },
{	"clear",    0x90 },
{	"run",      0x91 },
{	"list",     0x92 },
{	"new",      0x93 },
{       "reboot",   0x94 },
{	"cls",      0x95 },
{	"renum",    0x96 },
{	"locate",   0x97 },
{	"load",     0x98 },
{	"save",     0x99 },
{	"free",     0x9A },
{	"poke",     0x9B },
{	"delay",    0x9C },
{       "screen",   0x9D },
{       "color",    0x9E },
{       "point",    0x9F },
{       "line",     0xA0 },
{       "auto",     0xA1 },
{       "sound",    0xA2 },
{       "servo",    0XA3 },
{       "link",     0xA4 },
{       "regbc",    0xA5 },
{       "regde",    0xA6 },
{       "memtop",   0xA7 },
{	"step",     0xB0 },
{	"to",       0xB1 },
{	"then",     0xB2 },
{	"tab",      0xB3 },
{	"(",        0xE0 },
{	"*",        0xE2 },
{	"+",        0xE3 },
{	"-",        0xE5 },
{	"/",        0xE7 },
{	">=",       0xEF },
{	"<=",       0xF0 },
{	"<>",       0xF1 },
{	"=>",       0xEA },
{	"=<",       0xEB },
{	"<",        0xF4 },
{	"=",        0xF5 },
{	">",        0xF6 },
{	"abs",      0xC1 },
{	"int",      0xC6 },
{       "usr",      0xCD },
{	"rnd",      0xCE },
{	"sgn",      0xD2 },
{	"sin",      0xD3 },
{	"sqr",      0xC4 },
{	"tan",      0xD7 },
{	"cos",      0xD8 },
{	"peek",     0xD9 },
{       "keypad",   0xDA }
};
